public inbox for linux-xfs@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH] xfstests: test 220: double inode free in xfs_dqrele_inode
@ 2009-10-12 23:50 Christoph Hellwig
  2009-10-13 17:55 ` Alex Elder
  0 siblings, 1 reply; 2+ messages in thread
From: Christoph Hellwig @ 2009-10-12 23:50 UTC (permalink / raw)
  To: xfs

Trivial test case that mounts a filesystem with user quotas, then turns
quotas off an unmounts.  Based on a testcase in a bug report from
Utako Kusaka <u-kusaka@wm.jp.nec.com>.

Signed-off-by: Christoph Hellwig <hch@lst.de>

Index: xfstests-dev/220
===================================================================
--- /dev/null	1970-01-01 00:00:00.000000000 +0000
+++ xfstests-dev/220	2009-10-12 23:49:43.000000000 +0000
@@ -0,0 +1,71 @@
+#! /bin/sh
+# FS QA Test No. 220
+#
+# Test that turning quotas off on a mounted filesystem doesn't crash
+# the system.
+#
+# Based on a bug report from Utako Kusaka <u-kusaka@wm.jp.nec.com>.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2009 Christoph Hellwig.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#
+#-----------------------------------------------------------------------
+#
+# creator
+owner=hch@lst.de
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+
+_cleanup()
+{
+	cd /
+	umount $SCRATCH_DEV >/dev/null 2>&1
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+. ./common.quota
+
+# real QA test starts here
+_supported_fs xfs
+_supported_os Linux
+
+_require_scratch
+_require_quota
+
+echo "Silence is golden."
+
+# create scratch filesystem
+_scratch_mkfs_xfs >/dev/null 2>&1
+
+# mount  with quotas enabled
+_scratch_mount -o uquota
+
+# turn off quota
+xfs_quota -x -c off $SCRATCH_DEV
+
+# and unmount (this used to crash)
+umount $SCRATCH_DEV
+
+status=0
+exit $status
Index: xfstests-dev/220.out
===================================================================
--- /dev/null	1970-01-01 00:00:00.000000000 +0000
+++ xfstests-dev/220.out	2009-10-11 17:00:02.000000000 +0000
@@ -0,0 +1,2 @@
+QA output created by 220
+Silence is golden.
Index: xfstests-dev/group
===================================================================
--- xfstests-dev.orig/group	2009-10-11 16:44:37.000000000 +0000
+++ xfstests-dev/group	2009-10-11 16:45:07.000000000 +0000
@@ -329,3 +329,4 @@ prealloc
 217 log metadata auto
 218 auto fsr quick
 219 auto quota quick
+220 auto quota quick

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

^ permalink raw reply	[flat|nested] 2+ messages in thread

* RE: [PATCH] xfstests: test 220: double inode free in xfs_dqrele_inode
  2009-10-12 23:50 [PATCH] xfstests: test 220: double inode free in xfs_dqrele_inode Christoph Hellwig
@ 2009-10-13 17:55 ` Alex Elder
  0 siblings, 0 replies; 2+ messages in thread
From: Alex Elder @ 2009-10-13 17:55 UTC (permalink / raw)
  To: Christoph Hellwig; +Cc: xfs

On , Christoph Hellwig wrote:
> Trivial test case that mounts a filesystem with user quotas, then turns
> quotas off an unmounts.  Based on a testcase in a bug report from
> Utako Kusaka <u-kusaka@wm.jp.nec.com>.
> 
> Signed-off-by: Christoph Hellwig <hch@lst.de>

Looks good.

Reviewed-by: Alex Elder <aelder@sgi.com>
 
> Index: xfstests-dev/220
> ===================================================================
> --- /dev/null	1970-01-01 00:00:00.000000000 +0000
> +++ xfstests-dev/220	2009-10-12 23:49:43.000000000 +0000
> @@ -0,0 +1,71 @@
> +#! /bin/sh
> +# FS QA Test No. 220
> +#
> +# Test that turning quotas off on a mounted filesystem doesn't crash
> +# the system.
> +#
> +# Based on a bug report from Utako Kusaka <u-kusaka@wm.jp.nec.com>.
> +#
> +#-----------------------------------------------------------------------
> +# Copyright (c) 2009 Christoph Hellwig.  All Rights Reserved.
> +#
> +# This program is free software; you can redistribute it and/or
> +# modify it under the terms of the GNU General Public License as
> +# published by the Free Software Foundation.
> +#
> +# This program is distributed in the hope that it would be useful,
> +# but WITHOUT ANY WARRANTY; without even the implied warranty of
> +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
> +# GNU General Public License for more details.
> +#
> +# You should have received a copy of the GNU General Public License
> +# along with this program; if not, write the Free Software Foundation,
> +# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
> +#
> +#-----------------------------------------------------------------------
> +#
> +# creator
> +owner=hch@lst.de
> +
> +seq=`basename $0`
> +echo "QA output created by $seq"
> +
> +here=`pwd`
> +tmp=/tmp/$$
> +status=1	# failure is the default!
> +
> +_cleanup()
> +{
> +	cd /
> +	umount $SCRATCH_DEV >/dev/null 2>&1
> +}
> +trap "_cleanup; exit \$status" 0 1 2 3 15
> +
> +# get standard environment, filters and checks
> +. ./common.rc
> +. ./common.filter
> +. ./common.quota
> +
> +# real QA test starts here
> +_supported_fs xfs
> +_supported_os Linux
> +
> +_require_scratch
> +_require_quota
> +
> +echo "Silence is golden."
> +
> +# create scratch filesystem
> +_scratch_mkfs_xfs >/dev/null 2>&1
> +
> +# mount  with quotas enabled
> +_scratch_mount -o uquota
> +
> +# turn off quota
> +xfs_quota -x -c off $SCRATCH_DEV
> +
> +# and unmount (this used to crash)
> +umount $SCRATCH_DEV
> +
> +status=0
> +exit $status
> Index: xfstests-dev/220.out
> ===================================================================
> --- /dev/null	1970-01-01 00:00:00.000000000 +0000
> +++ xfstests-dev/220.out	2009-10-11 17:00:02.000000000 +0000
> @@ -0,0 +1,2 @@
> +QA output created by 220
> +Silence is golden.
> Index: xfstests-dev/group
> ===================================================================
> --- xfstests-dev.orig/group	2009-10-11 16:44:37.000000000 +0000
> +++ xfstests-dev/group	2009-10-11 16:45:07.000000000 +0000
> @@ -329,3 +329,4 @@ prealloc
>  217 log metadata auto
>  218 auto fsr quick
>  219 auto quota quick
> +220 auto quota quick
> 
> _______________________________________________
> xfs mailing list
> xfs@oss.sgi.com
> http://oss.sgi.com/mailman/listinfo/xfs

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2009-10-13 17:55 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2009-10-12 23:50 [PATCH] xfstests: test 220: double inode free in xfs_dqrele_inode Christoph Hellwig
2009-10-13 17:55 ` Alex Elder

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox